Documentation>C API
Data Fields
VlSiftKeypoint Struct Reference

SIFT filter keypoint. More...

`#include <sift.h>`

## Data Fields

int | o
int | ix
int | iy
int | is
float | x
float | y
float | s
float | sigma

## Detailed Description

This structure represent a keypoint as extracted by the SIFT filter VlSiftFilt.

## Field Documentation

## ◆ is

int VlSiftKeypoint::is

Integer s coordinate.

## ◆ ix

int VlSiftKeypoint::ix

Integer unnormalized x coordinate.

## ◆ iy

int VlSiftKeypoint::iy

Integer unnormalized y coordinate.

## ◆ o

int VlSiftKeypoint::o

o coordinate (octave).

## ◆ s

float VlSiftKeypoint::s

s coordinate.

## ◆ sigma

float VlSiftKeypoint::sigma

scale.

## ◆ x

float VlSiftKeypoint::x

x coordinate.

## ◆ y

float VlSiftKeypoint::y

y coordinate.

The documentation for this struct was generated from the following file:

- sift.h